Mailinglist Archive: opensuse-gnome (41 mails)

< Previous Next >
Re: [opensuse-gnome] RFC: reorganize GNOME tree, move parts to multimedia:
  • From: Stanislav Brabec <sbrabec@xxxxxxx>
  • Date: Thu, 30 Apr 2009 13:56:14 +0200
  • Message-id: <1241092574.20509.27.camel@xxxxxxxxxxxxxx>
Vincent Untz wrote:

multimedia:libs: Move there multimedia libraries and gstreamer. If their
update is required, link or aggregate can be done to
GNOME:Backports:{version}.

Benefits:

- Don't provide unchanged copy of particular package in many
repositories.

- Easy to update just the desktop.

- gstreamer has nothing to do with GNOME. Its backport often requires
several dependent library backports. All of them will be probably in
multimedia:libs, but not in GNOME:*.

I can think of at least one issue with an example here: what happens
when some package in GNOME:Factory needs *now* the latest package un
multimedia:libs (which hasn't reached openSUSE:Factory).

Example:

+ empathy requires latest telepathy stack, including latest farsight2.
+ farsight2 requires latest gstreamer-plugins-bad since some plugins
were moved there
+ gstreamer-plugins-bad has just been uploaded to multimedia:libs and
it will take days before it reaches oS:F

So we're blocked, and I'd like to avoid such a situation.

You can build G:F on top of multimedia:libs or aggregate needed package
for a while. Actually, multimedia:libs for Factory exists but defaults
to not build. It's possible to enable build for individual packages that
diverge from Factory like you may see just now for libmodplug and
gstreamer-0_10-plugins-bad (maybe it would be nice to have this as an
utomatic feature).

(also, since you're talking about backports, what's the plan here? Do
you plan to build multimedia:libs against 11.0, 11.1, etc.? What if a
project requires an older version of some library there? Should it just
copy the old version?)

Currently the backport to 10.3, 11.0, 11.1, SLE11 is nearly complete.
Even gstreamer packages were modified there to build correctly and the
fix should be escalated soon.

Most libraries in multimedia:libs don't change API. Last incompatible
API changes I am aware in packages there were FLAC and libexif, both
several years ago.

Particular packages list that should go away:

festival psiconv maybe intltool - These packages were added as backport
for SuSE Linux 10.0 or so and stayed there up to now. Probably more such
packages is still present.

Where do you propose to move them?

psiconv: It's assigned to gnome-maintainers@xxxxxxx (because it's
required only by gnumeric and abiword), but it's a command line utility
for Psion PDA, not changed since 2005.

PDA/mobile phone tools are now spread over many (mostly home:*:Factory
and other home:) repositories.

gegl babl libiptcdata: Move them to multimedia:libs.

Nod,

libiptsdata: Move...

although I'm unsure that multimedia:libs is the best place for gegl
and babl at the moment. I'd prefer to see them live with gimp until
they're stable or widely used.

gegl, babl, gimp: OK, probably not move. As far as I remember, another
user of gegl (one of scanning solutions) is GNOME application as well.

gimp*: Move to multimedia:photo.

Here I disagree (same for the apps in your reply to this mail). This
should go to GNOME:Apps, unless:

+ we also move the relevant KDE apps to multimedia:photo
+ we create network:IM and move pidgin there, for example, and do the
same for many other apps.

Yes, it's true. I agree with you.

--
Best Regards / S pozdravem,

Stanislav Brabec
software developer
---------------------------------------------------------------------
SUSE LINUX, s. r. o. e-mail: sbrabec@xxxxxxx
Lihovarsk√° 1060/12 tel: +420 284 028 966, +49 911 740538747
190 00 Praha 9 fax: +420 284 028 951
Czech Republic http://www.suse.cz/

--
To unsubscribe, e-mail: opensuse-gnome+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-gnome+help@xxxxxxxxxxxx

< Previous Next >